=== debian/changelog ===
ros-dashing-urdfdom (2.2.0-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Steven! Ragnarök <steven@osrfoundation.org>  Sun, 14 Apr 2019 14:29:21 -0000
